namespace DataSharing.Share.Dtos.YiBin.ZzptPlatformsYB
{
    /// <summary>
    /// 受理
    /// </summary>
    public class AddWriteInfoDto : BaseVailCodeDto
    {
        /// <summary>
        /// 姓名
        /// </summary>
        [MDisplayName("姓名")]
        [VRequired]
        [VStringLength(0, 20)]
        public string strUserName { get; set; }

        /// <summary>
        /// 性别 
        /// </summary>
        [MDisplayName("性别 ")]
        [VRequired]
        [VStringLength(0, 1)]
        public string strGender { get; set; }

        /// <summary>
        /// 邮箱 
        /// </summary>
        [MDisplayName("邮箱 ")]
        [VStringLength(0, 100)]
        public string strEmail { get; set; }

        /// <summary>
        /// 电话 
        /// </summary>
        [MDisplayName("电话 ")]
        [VRequired]
        [VStringLength(0, 20)]
        public string strPhone { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [MDisplayName("地址")]
        [VStringLength(0, 200)]
        public string strAddress { get; set; }

        /// <summary>
        /// 受理类型code
        /// </summary>
        [MDisplayName("受理类型code")]
        [VRequired]
        [VStringLength(0, 6)]
        public string strTypeID { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [MDisplayName("标题")]
        [VRequired]
        [VStringLength(0, 200)]
        public string strTitle { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [MDisplayName("内容")]
        [VRequired]
        [VStringLength(0, 7000)]
        public string strContent { get; set; }
    }

    /// <summary>
    /// 2.3.3查询办理进度/查询办理结果
    /// </summary>
    public class GetFlowDetailDto : BaseVailCodeDto
    {
        /// <summary>
        /// 查询编号
        /// </summary>
        [MDisplayName("查询编号")]
        [VRequired]
        [VStringLength(0, 30)]
        public string strCode { get; set; }

        /// <summary>
        /// 查询密码
        /// </summary>
        [MDisplayName("查询密码")]
        [VRequired]
        [VStringLength(0, 10)]
        public string strPwd { get; set; }
    }

    /// <summary>
    /// 综治平台
    /// </summary>
    public class ZzptAddWriteInfoDto : AddWriteInfoDto
    {
        /// <summary>
        /// 综治平台唯一标识
        /// </summary>
        [MDisplayName("综治平台唯一标识")]
        [VRequired]
        [VStringLength(0, 100)]
        public string strZZCode { get; set; }

        /// <summary>
        /// 区域ID
        /// </summary>
        [MDisplayName("区域ID")]
        [VRequired]
        [VStringLength(0, 50)]
        public string strArea { get; set; }

    }

    /// <summary>
    /// 综治平台办理
    /// </summary>
    public class ZzptWriteResult : BaseVailCodeDto
    {
        /// <summary>
        /// 12345编号
        /// </summary>
        [MDisplayName("12345编号")]
        [VRequired]
        [VStringLength(0, 30)]
        public string strCode { get; set; }

        /// <summary>
        /// 动作
        /// </summary>
        [MDisplayName("动作")]
        [VRequired]
        public string strAction { get; set; }

        /// <summary>
        /// 操作人
        /// </summary>
        [MDisplayName("操作人")]
        [VRequired]
        [VStringLength(0, 20)]
        public string strUser { get; set; }

        /// <summary>
        /// 操作时间
        /// </summary>
        [MDisplayName("操作时间")]
        [VRequired]
        public string strDate { get; set; }

        /// <summary>
        /// 操作结果
        /// </summary>
        [MDisplayName("操作结果")]
        [VRequired]
        public string strResult { get; set; }
    }

    /// <summary>
    /// 网络理政获取工单详情
    /// </summary>
    public class WllzGetOrderInfo : BaseVailCodeDto
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        [MDisplayName("工单编号")]
        [VRequired]
        public string strCodes { get; set; }
    }

}
